#include <xc.h>

// CONFIG1
#pragma config FOSC = INTOSC    // Oscillator Selection (INTOSC oscillator: I/O function on CLKIN pin)
#pragma config WDTE = OFF       // Watchdog Timer Enable (WDT disabled)
#pragma config PWRTE = ON       // Power-up Timer Enable (PWRT enabled)
#pragma config MCLRE = OFF      // MCLR Pin Function Select (MCLR/VPP pin function is digital input)
#pragma config CP = OFF         // Flash Program Memory Code Protection (Program memory code protection is disabled)
#pragma config CPD = OFF        // Data Memory Code Protection (Data memory code protection is disabled)
#pragma config BOREN = ON       // Brown-out Reset Enable (Brown-out Reset enabled)
#pragma config CLKOUTEN = OFF   // Clock Out Enable (CLKOUT function is disabled. I/O or oscillator function on the CLKOUT pin)
#pragma config IESO = OFF       // Internal/External Switchover (Internal/External Switchover mode is disabled)
#pragma config FCMEN = OFF      // Fail-Safe Clock Monitor Enable (Fail-Safe Clock Monitor is disabled)

// CONFIG2
#pragma config WRT = OFF        // Flash Memory Self-Write Protection (Write protection off)
#pragma config PLLEN = OFF      // PLL Enable (4x PLL disabled)
#pragma config STVREN = ON      // Stack Overflow/Underflow Reset Enable (Stack Overflow or Underflow will cause a Reset)
#pragma config BORV = LO        // Brown-out Reset Voltage Selection (Brown-out Reset Voltage (Vbor), low trip point selected.)
#pragma config LVP = OFF        // Low-Voltage Programming Enable (High-voltage on MCLR/VPP must be used for programming)

void DispNum(unsigned char dig, unsigned char num);

unsigned char num[] = {//Data of Digits 0-9 and .
        0b11000000,
        0b11111001,
        0b10100100,
        0b10110000,
        0b10011001,
        0b10010010,
        0b10000011,
        0b11111000,
        0b10000000,
        0b10011000,
        0b01111111
};

unsigned char dig[] = {
        0b00000001,
        0b00000010,
        0b00000100
};

void main(){
    OSCCON = 0b01110010;//8MHz
    ANSELA = 0b00000000;//All Digital I/O
    ANSELB = 0b00000000;//All Digital I/O
    TRISA  = 0b00000000;//All Output (RA5 is Input)
    TRISB  = 0b00000000;//All Output
    unsigned int i;
    unsigned int j;
    while(1){
        for(i=0; i<1000; i++){//Digit for Display
            for(j=0; j<200; j++){//Interval
                DispNum(0, i%10);//1
                DispNum(1, (i/10)%10);//10
                DispNum(2, (i/100)%10);//100
            }
        }
    }
}

void DispNum(unsigned char d, unsigned char n){
    LATA = dig[d];//DIG1-3
    LATB = num[n];//Digit
}